package com.hyp.web.controller.manager;

import com.hyp.common.core.text.Convert;
import com.hyp.common.utils.StringUtils;
import com.hyp.system.domain.SysNotice;
import com.hyp.system.service.ISysNoticeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Arrays;
import java.util.Date;
import java.util.List;

/**
 * packageName com.hyp.web.controller.manager
 *
 * @author wangxy
 * @version JDK 8
 * @className SysNoticeManager
 * @date 2024/3/28
 * @description 通知公告
 */
@Component
public class SysNoticeManager {

    @Autowired
    private ISysNoticeService noticeService;

    /**
     * 
     *  查询
     * @param notice
     * @return java.util.List<com.hyp.system.domain.SysNotice>
     */
    
    public List<SysNotice>  selectNoticeList(SysNotice notice){
        return noticeService.selectNoticeList(notice);
    }

    /**
     * 
     *  修改
     * @param notice
     * @return boolean
     */
    
    public  boolean saveOrUpdate(SysNotice notice){
        if(StringUtils.isNotEmpty(notice.getNoticeId())){
            notice.setUpdateTime(new Date());
        }else{
            notice.setCreateTime(new Date());
        }
        return noticeService.saveOrUpdate(notice);
    }

    /**
     * 
     *  查询
     * @param noticeId
     * @return com.hyp.system.domain.SysNotice
     */
    
    public SysNotice selectNoticeById(String noticeId){
        return noticeService.getById(noticeId);
    }

    /**
     * 
     *  删除
     * @param ids
     * @return boolean
     */
    
    public  boolean removeByIds(String ids){
        return noticeService.removeByIds(Arrays.asList(Convert.toStrArray(ids)));
    }

    public  boolean deleteNoticeByIds(String[] noticeIds){
        return noticeService.removeByIds(Arrays.asList(noticeIds));
    }

}
