package com.hyp.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.util.Date;

import com.hyp.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 奖项申请流程表
 * @author wangxy
 * @TableName rew_apply_info_list
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class RewApplyInfoList extends BaseEntity {
    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String applyId;

    /**
     * 奖项名称
     */
    private String applyName;

    /**
     * 奖项类型
     */
    private String applyType;

    /**
     * 是否获得过奖
     */
    private Integer isReward;

    /**
     * 申请状态（0：待提交 1：待审核，2，评分，3退回）
     */
    private Integer applyStatus;

    /**
     * 提交时间
     */
    private Date appTime;

    /**
     * 退回意见
     */
    private String applyMsg;

    /**
     * 审核时间
     */
    private Date authTime;

    /**
     * 创建者id
     */
    private Long createId;



    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}