package com.hyp.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 奖项文件表
 * @author wangxy
 * @TableName rew_file_relation
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class RewFileRelation implements Serializable {
    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String fileId;

    /**
     * 申请表id
     */
    private String applyId;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 文件类型
     */
    private String fileCode;

    /**
     * 文件路劲
     */
    private String filePath;

    /**
     * 文件原有名称
     */
    private String realName;

    /**
     * 文件核准状态（1：通过2：不通过）
     */
    private Integer fileState;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}