package com.hyp.system.domain.dto;


import com.baomidou.mybatisplus.annotation.TableField;
import com.hyp.common.core.domain.BaseEntity;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;


/**
 * 奖项申请流程表
 * @author wangxy
 * @TableName rew_apply_info_list
 */
@Data
public class ApplyInfoListDTO extends BaseEntity {

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * 奖项名称
     */
    private String applyName;

    /**
     * 奖项类型
     */
    @NotBlank(message = "奖项类型不能为空")
    private String applyType;

    /**
     * 申请状态（0：待提交 1：待审核，2，评分，3退回）
     */
    @NotNull(message = "申请状态不能为空")
    private Integer applyStatus;

    /**
     * 创建者id
     */
    private Long createId;




}