package com.hyp.system.domain.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * packageName com.hyp.system.domain.dto
 *
 * @author wangxy
 * @version JDK 8
 * @className ApplyInfoListSaveDTO
 * @date 2024/4/11
 * @description 提交参数
 */
@Data
public class ApplyInfoListSaveDTO implements Serializable {


    /**
     * 申请id
     */
    @NotBlank(message = "申请id不能为空")
    private String applyId;

    /**
     * 申请状态（0：待提交 1：待审核，2，评分，3退回）
     */
    @NotNull(message = "申请状态不能为空")
    private Integer applyStatus;

    /**
     * 是否获得过奖
     */
    @NotNull(message = "是否获得过奖不能为空")
    private Integer isReward;







}
